Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.feature
Class FeatureStoreException

    Object
      Throwable
          Exception
              IOException
                  FeatureStoreException

All Implemented Interfaces:
  Serializable

Deprecated. Removed pending a redesign of feature storage interfaces

    @Deprecated
    public class FeatureStoreException

extends IOException

Thrown to indicate that a `FeatureStore` operation could not complete because of a failure in the backing store, or a failure to contact the backing store.

Since:
  GeoAPI 2.0
See Also:
  Serialized Form
TODO:
  Since this is a `FeatureStore` exception should we have a backpointer to the `FeatureStore`? Or at least an indication of which data store caused the problem?

Constructor Summary
`FeatureStoreException()` Deprecated. Constructs a new exception with no detail message.
`FeatureStoreException(String message)` Deprecated. Constructs a new exception with the specified detail message.
`FeatureStoreException(String message, Throwable cause)` Deprecated. Constructs a new exception with the specified detail message and cause.
`FeatureStoreException(Throwable cause)` Deprecated. Constructs a new exception with the specified cause.

Method Summary

Methods inherited from class Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FeatureStoreException

    public FeatureStoreException()

  Deprecated.
  Constructs a new exception with no detail message.

### FeatureStoreException

    public FeatureStoreException(String message)

  Deprecated.
  Constructs a new exception with the specified detail message.

  Parameters:
    `message` - the detail message, saved for later retrieval by the `Throwable.getMessage()` method.

### FeatureStoreException

    public FeatureStoreException(Throwable cause)

  Deprecated.
  Constructs a new exception with the specified cause.

  Parameters:
    `cause` - the cause, saved for later retrieval by the `Throwable.getCause()` method.

### FeatureStoreException

    public FeatureStoreException(String message,
                                 Throwable cause)

  Deprecated.
  Constructs a new exception with the specified detail message and cause.

  Parameters:
    `message` - the detail message, saved for later retrieval by the `Throwable.getMessage()` method.
    `cause` - the cause, saved for later retrieval by the `Throwable.getCause()` method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.